/*
 * robo_wrapper.h
 *
 *  Created on: 09.12.2022
 *      Author: jonas
 */

#ifndef MAIN_ROBO_WRAPPER_H_
#define MAIN_ROBO_WRAPPER_H_

#include <stdint.h>
#include <stdbool.h>

/* Sets the robot to automatic / manual mode */
bool Robo_Wrapper_SetMode(bool automatic);

/* Lets the robot turn to a specific angle and then proceed straight with its previous movement */
bool Robo_Wrapper_Nav_Turn(int16_t angle);

/* Sets the movementspeed of the robot */
bool Robo_Wrapper_Nav_Move(int16_t speed);

/* Stops the movement of the robot */
bool Robo_Wrapper_Nav_Stop(void);

#endif /* MAIN_ROBO_WRAPPER_H_ */
